Name:           htop
Version:        2.0.2
Release:        %mkrel 1	
Summary:        Interactive text-mode process viewer for Linux
Summary(de):	Interaktiver Prozessbetrachter im Textmodus für Linux
License:        GPLv2+
Group:          Monitoring
URL:            http://htop.sourceforge.net/
Source0:        http://ovh.dl.sourceforge.net/htop/htop-%{version}.tar.xz
BuildRequires:  desktop-file-utils
BuildRequires:  %{_lib}ncurses-devel
BuildRequires:  %{_lib}ncursesw-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	%name < %version

%description
htop is an interactive process viewer for Linux, similar to top.
It requires ncurses. Tested with Linux 2.4 and 2.6.

Some advantages over top:

* you can scroll the list vertically and horizontally to see
  all processes and complete command lines
* htop starts faster than top
* you don't need to type the process number to kill a process
* you don't need to type the process number or the priority value to
  renice a process
* htop supports mouse operation

%description -l de
htop ist ein interaktiver Prozessbetrachter im Textmodus für Linux, der 
Ähnlichkeiten zu top aufweist. Es benötigt ncurses. Getestet mit Linux 2.4 und 2.6.

Ein paar Vorteile:
* Sie können in der Liste vertikal und horizontal skrollen, um alle Prozesse zu sehen und
  die vollständige Kommandozeile
* htop startet schneller als top
* Sie müssen keine Prozessnummer angeben um einen Prozess zu beenden
* Es ist nicht nötig die Prozessnummer oder einen Prioritätswert anzugeben, 
  um die Prozesspriorität zu erhöhen
* htop unterstützt Mausoperationen

%prep
%setup -q
%apply_patches

%build
export LDFLAGS="$LDFLAGS -ltinfo"
%{configure2_5x}
%{make}

%install
rm -rf %{buildroot}
%{makeinstall}

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-System-Monitoring" \
  --remove-key="Path" \
  --remove-key="Version" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc README AUTHORS NEWS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man1/%{name}.*


%changelog
* Fri Dec 30 2016 ghostbunny <ghostbunny at gmx dot de> 2.0.2-1pclos2017
- 2.0.2

* Thu May 19 2016 bb <bb> 2.0.1-1pclos2016
- update

* Wed Feb 18 2015 bb <bb> 1.0.3-3pclos2015
- rebuid glibc

* Fri Oct 10 2014 bb <bb> 1.0.3-2pclos2014
- add deb patch

* Fri Apr 25 2014 ghostbunny <ghostbunny at gmx dot de> 1.0.3-1pclos2014
- 1.0.3

